From 8c782b0caaab24a8e44be2667ee306826bb370fe Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Mon, 30 Mar 2020 09:55:58 +0800
Subject: [PATCH 02/77] virsh_maxvcpus: fix unboundLocalError in virsh_maxvcpus
 test case

We need to init gic_version first to avoid a unboundLocalError.

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/src/virsh_cmd/host/virsh_maxvcpus.py | 1 +
 1 file changed, 1 insertion(+)

diff --git a/libvirt/tests/src/virsh_cmd/host/virsh_maxvcpus.py b/libvirt/tests/src/virsh_cmd/host/virsh_maxvcpus.py
index 70699abe..fddba85e 100644
--- a/libvirt/tests/src/virsh_cmd/host/virsh_maxvcpus.py
+++ b/libvirt/tests/src/virsh_cmd/host/virsh_maxvcpus.py
@@ -99,6 +99,7 @@ def run(test, params, env):
 
     is_arm = "aarch" in platform.machine()
     if is_arm:
+        gic_version = None
         for gic_enum in domcap.DomCapabilityXML()['features']['gic_enums']:
             if gic_enum['name'] == "version":
                 gic_version = gic_enum['values'][0].get_value()
-- 
2.23.0

